Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.bc
Class ObjectDataSequence

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.bc.ObjectDataSequence

All Implemented Interfaces:
  ASN1Encodable, Encodable, Iterable

public class ObjectDataSequence
extends ASN1Object
implements Iterable

ObjectDataSequence ::= SEQUENCE OF ObjectData

Constructor Summary
`ObjectDataSequence(ObjectData[] dataSequence)`

Method Summary
`static ObjectDataSequence` | `getInstance(java.lang.Object obj)`
`java.util.Iterator` | `iterator()` Returns an iterator over a set of elements of type T.
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectDataSequence

    public ObjectDataSequence(ObjectData[] dataSequence)

Method Detail

### getInstance

    public static ObjectDataSequence getInstance(java.lang.Object obj)

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### iterator

    public java.util.Iterator iterator()

  Description copied from interface: `Iterable`
  Returns an iterator over a set of elements of type T.

  Specified by:
    `iterator` in interface `Iterable`
  Returns:
    an Iterator.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD